Skip to main content
GET
/
api
/
v1
/
stats
/
schema
Describe available filters
curl --request GET \
  --url https://api.whop.com/api/v1/stats/schema
import requests

url = "https://api.whop.com/api/v1/stats/schema"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.whop.com/api/v1/stats/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "reporting_categories": [
    {
      "name": "gross_income",
      "line_categories": [
        "payment_gross",
        "passthrough_gmv",
        "platform_balance_transfer_incoming"
      ]
    }
  ],
  "groupings": [
    {
      "name": "payments",
      "line_categories": [
        "psp_payment_receivable",
        "payment_gross",
        "topup"
      ]
    }
  ],
  "line_categories": [
    {
      "key": "payment_gross",
      "description": "A settlement for a card or lpm payment into a wallet. This is the gross amount of the payment, not including any fees.",
      "grouping": "payments",
      "reporting_categories": [
        "net_activity",
        "gtv",
        "gross_income",
        "net_income"
      ]
    }
  ]
}
{
"error": {
"type": "<string>",
"message": "<string>"
}
}
No authentication required. Call this endpoint to discover all available filter values for the time_series endpoint with human-readable descriptions.

Query Parameters

resource_type
enum<string>
required

The type of resource to query. Currently only wallet is supported.

Available options:
wallet

Response

Full taxonomy of wallet stats filter values.

reporting_categories
object[]

Predefined report scopes. Each maps to a curated set of line categories. Pass a reporting_category name to the time_series endpoint to filter to that scope.

groupings
object[]

Logical groupings of line categories (e.g. payments, refunds, disputes). Pass grouping names to the time_series endpoint to filter by grouping.

line_categories
object[]

Every active line category with its description, grouping, and which reporting categories it belongs to. This is the most granular filter available on the time_series endpoint.